<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author david.cifuentes
@description Consulta de informacion del origen del predio para predios que han sido creados a partir del SNC

@version 1.0
@cu CU-NP-CO-243 - Consultar origen del predio - Se carga en el detalle del predio

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        id="formConsultaOrigen">

    <p:fieldset>
        <legend>
            <h:outputText value="Origen del predio" styleClass="legendTitle" />
        </legend>

        <h:panelGrid rendered="#{consultaOrigenPredio.tramiteOrigenNumeroPredial.id eq null}">
            <p:spacer height="10" />
            <h:outputLabel value="Información no encontrada:" styleClass="noteLabelStyle" />
            <h:outputText
                value="No fue posible recuperar la radicación relacionada, por favor revisar la mutación original."
                styleClass="noteTextStyle" />
        </h:panelGrid>

        <h:panelGrid columns="1" rendered="#{consultaOrigenPredio.tramiteOrigenNumeroPredial.id != null}">

            <h:panelGrid columns="5" cellspacing="7">
                <h:outputLabel value="Número de radicación: "
                               styleClass="outputLabelStyle" />
                <p:commandLink value="#{consultaOrigenPredio.tramiteOrigenNumeroPredial.numeroRadicacion}"
                               title="Ver detalle del trámite" styleClass="commandLinkStyle"
                               onstart="statusDialog2.show();"
                               oncomplete="detalleTramiteEjecutarWV.show(); statusDialog2.hide();"
                               immediate="true" ajax="true"
                               update=":detalleTramiteEjecutarForm"
                               process="@this">
                    <f:setPropertyActionListener value="#{consultaOrigenPredio.tramiteOrigenNumeroPredial}"
                                                 target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                </p:commandLink>
                <p:spacer width="14" height="0" />

                <h:outputLabel value="Fecha de radicación: "
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaOrigenPredio.tramiteOrigenNumeroPredial.fechaRadicacion}"
                    styleClass="outputTextStyle">
                    <f:convertDateTime pattern="#{general.formatoFecha}" />
                </h:outputText>

                <h:outputLabel value="Resolución que origina el trámite:"
                               styleClass="outputLabelStyle" 
                               rendered="#{consultaOrigenPredio.resolucionOriginaTramite.id != null}"/>
                <p:commandLink styleClass="commandLinkStyle"
                               onstart="statusDialog2.show();"
                               oncomplete="statusDialog2.hide();viewResolucionWithMarcaAguaWV.show();"
                               process="@this" action="#{consultaTramitesPredio.cargarUrlDocumentoConMarcaDeAgua}"
                               update=":dpCC:viewResolucionWithMarcaAgua:vistaMemoForm"
                               value="#{consultaOrigenPredio.resolucionOriginaTramite.numeroDocumento}">
                    <f:setPropertyActionListener value="#{consultaOrigenPredio.tramiteOrigenNumeroPredial}"
                                                 target="#{consultaTramitesPredio.tramiteSeleccionado}" />

                </p:commandLink>

                <p:spacer width="14" height="0" 
                          rendered="#{consultaOrigenPredio.resolucionOriginaTramite.id != null}"/>

                <h:outputLabel value="Fecha de resolución: "
                               rendered="#{consultaOrigenPredio.resolucionOriginaTramite.id != null}"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaOrigenPredio.resolucionOriginaTramite.fechaDocumento}"
                    rendered="#{consultaOrigenPredio.resolucionOriginaTramite.id != null}"
                    styleClass="outputTextStyle">
                    <f:convertDateTime pattern="#{general.formatoFecha}" />
                </h:outputText>

                <h:outputLabel value="Tipo de trámite: "
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaOrigenPredio.tramiteOrigenNumeroPredial.tipoTramiteCadenaCompleto}"
                    styleClass="outputTextStyle" />

                <p:spacer width="14" height="0" />

                <h:outputLabel value="Clasificación: " styleClass="outputLabelStyle" />

                <h:outputText value=" " styleClass="outputTextStyle"
                              rendered="#{consultaOrigenPredio.tramiteOrigenNumeroPredial.clasificacion eq null}" />
                <h:outputText
                    rendered="#{consultaOrigenPredio.tramiteOrigenNumeroPredial.clasificacion != null}"
                    value="#{consultaOrigenPredio.tramiteOrigenNumeroPredial.clasificacion}"
                    styleClass="outputTextStyle" id="TramiteClasificacionV">
                    <f:converter converterId="converterCB" for="TramiteClasificacionV" />
                </h:outputText>

            </h:panelGrid>

            <p:separator />

            <legend>
                <h:outputText value="Detalle origen" styleClass="legendTitle" />
            </legend>

            <h:panelGrid rendered="#{consultaOrigenPredio.prediosOrigen eq null}">
                <p:spacer height="10" />
                <h:outputLabel value="Información no encontrada:" styleClass="noteLabelStyle" />
                <h:outputText
                    value="No fue posible recuperar los predios relacionados, por favor revisar la mutación original."
                    styleClass="noteTextStyle" />
            </h:panelGrid>

            <h:panelGrid rendered="#{consultaOrigenPredio.prediosOrigen != null}">
                <p:dataTable id="prediosOrigenDT" widgetVar="prediosOrigenWV"
                             value="#{consultaOrigenPredio.prediosOrigen}" var="predio"
                             paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                             emptyMessage="No existen predios para visualizar el origen del predio">

                    <p:column headerText="Detalle"
                              rendered="#{! (consultaOrigenPredio.tramiteOrigenNumeroPredial.quinta
                                          and ! consultaOrigenPredio.tramiteOrigenNumeroPredial.quintaMasivo)}">

                        <p:commandButton title="Ver detalle del predio"
                                         action="#{vistaDetallesTramite.inicializarConsultaHPredioMB}"
                                         oncomplete="detallePredioWV2.show();" process="@this"
                                         icon="ui-icon-search"
                                         update="#{tramiteResumenID}:detalleTramiteEjecutarForm:msgsDetalleTramite,
                                         #{detallePredioFormIdParam},:dpCC2:detallesPredioTV">
                            <f:setPropertyActionListener
                                target="#{vistaDetallesTramite.selectedHPredioTramiteForDetailsChecking}"
                                value="#{predio}" />
                        </p:commandButton>

                        <p:commandButton title="Ver predio en el editor geográfico"
                                         disabled="#{predio.tipoCatastro eq 'V'}"
                                         icon="ui-icon-image"
                                         onclick="abrirEditor('snc:#{consultaOrigenPredio.parametroEditorGeografico}');"/>

                    </p:column>
                    <p:column headerText="Número predial">
                        <h:outputText
                            value="#{predio.numeroPredial}">
                            <f:converter converterId="numeroPredialConverter" />
                        </h:outputText>

                    </p:column>

                    <p:column rendered="#{consultaOrigenPredio.tramiteOrigenNumeroPredial.segundaDesenglobe 
                                          or consultaOrigenPredio.tramiteOrigenNumeroPredial.terceraMasiva 
                                          or consultaOrigenPredio.tramiteOrigenNumeroPredial.rectificacionMatriz 
                                          or consultaOrigenPredio.tramiteOrigenNumeroPredial.quintaMasivo}">
                        <f:facet name="header">Ficha matriz</f:facet>
                        <center> 
                            <p:commandButton
                                rendered="#{predio.esPredioFichaMatriz}" disabled="true"
                                icon="ui-icon-check" id="predioFichaMatrizBtn"
                                title="Predio ficha matriz" />
                        </center>
                    </p:column>

                </p:dataTable>
            </h:panelGrid>
        </h:panelGrid>
    </p:fieldset>
</h:form>

